'use strict';
define(function() {
  var toolbarquery = function() {
    return {
      templateUrl: 'js/XG/widgets/mapapp/query/views/toolbargeosignet.html',

      restrict: 'A',

      link: function(scope, element) {

        // alert (m);
        element.bind('click', function() {
          //alert(m);
          scope.addtools({
            title: 'Requêteur',
            name: 'Request',
            directive: 'querywidget',
          });
          try {
            scope.$apply(scope);
          } catch(err) {}
        });
      },
    };
  };

  toolbarquery.$inject = [];
  return toolbarquery;
});
